/**
 * @file globalSettings.h
 *
 * global settings definitions
 *
 * @author Jyrki Berg 2/17/2019 (https://github.com/jyberg)
 * 
 * @copyright 
 * Copyright (C) 2019 Jyrki Berg \n
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

#pragma once
#include <WString.h>
#include <stdint.h>
#include <EEPROM.h>

const int version{9}; // SGlobalSettings struct version

struct SGlobalSettings
{
	int version;
	char systemPwd[64];
	char hostname[32];
	char wlanSsid[32];
	char wlanPwd[64];
	char apSsid[32];
	char apPwd[64];
	uint8_t apChannel;
	bool apHide;
	bool wifiOn;
	bool apOn;
	int8_t timeZoneHour;
	uint16_t textColour;
	uint8_t vTempSollSet;
	uint8_t vDampfSollSet;
	uint8_t vhSet;
	uint8_t vmSet;
	uint8_t vmm;
	uint8_t vhh;
	uint8_t vDD;
	uint8_t vMM;
	char vYYYY[5];
	uint8_t Termin;
	uint8_t Licht0;
	uint8_t Licht1;
	uint8_t Licht2;
	uint8_t Licht3;
};
extern SGlobalSettings gSettings;


extern uint8_t Jahr;
extern uint8_t Ofen;
extern uint8_t Dampf;
extern uint8_t OfenSoll;
extern uint8_t DampfSoll;
extern uint8_t Licht0_alt;
extern uint8_t Licht1_alt;
extern uint8_t Licht2_alt;
extern uint8_t Licht3_alt;
extern uint8_t Ofen_alt;
extern uint8_t Dampf_alt;
extern uint8_t OfenSoll_alt;
extern uint8_t DampfSoll_alt;
extern uint8_t Tastenwechsel;
extern uint8_t TuerOffen;
extern uint8_t TuerOffen_alt;
extern uint8_t WasserLeer;
extern uint8_t WasserLeer_alt;
extern uint8_t Termin_alt;
extern uint8_t fDampfIst_alt;
extern char    cDatum[11];
extern char    cDatum_alt[11];
extern char	   TempIst[6];
extern char	   DampfIst[6];
extern char	   OfenIst[6];
extern String  kInfo;
extern bool    InitFehler;

bool LoadGlobalSettings();
void StoreGlobalSettings();

bool ValidatePassword(const String &pwd);
