/**
 * @file nextionUi.h
 *
 * nextionUi definitions
 *
 * @author Jyrki Berg 2/17/2019 (https://github.com/jyberg)
 * 
 * @copyright 
 * Copyright (C) 2019 Jyrki Berg \n
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

#pragma once

namespace nextionUi
{
// interface functions
void InitializeNextionUi();
void UpdateTime(const char* time, const char* tdate, unsigned long t);
void UpdateWifiInfo(String &info);
uint8_t GetCurrentPage();

void InitNextionCallbacks();
// Nextion callback functions
void bHomeSettingsCallback(void *ptr);
void bSysEnterCallback(void *ptr);
void bApOnOffCallback(void *ptr);
void bWifiOnOffCallback(void *ptr);
void bTimeZoneHourCallback(void *ptr);
void bEnterHostnameCallback(void *ptr);
void bApEditCallback(void *ptr);
void bWifiEditCallback(void *ptr);
void bWifiEnterCallback(void *ptr);
void bChangePwdEnterCallback(void *ptr);
void tHome3TimeCallback(void *ptr);
void bLampe0Callback(void *ptr);
void bLampe1Callback(void *ptr);
void bLampe2Callback(void *ptr);
void bLampe3Callback(void *ptr);
void bWasserCallback(void *ptr);
void bOfenCallback(void *ptr);
void bDampfCallback(void *ptr);
void vTempSollSetCallback(void *ptr);
void vDampfSollSetCallback(void *ptr);
void bb1callback(void *ptr);
void bb2callback(void *ptr);
void bb3callback(void *ptr);
void bbxcallback();
void currentPageCallback(uint8_t pageId);
void NextionReadyCallback();
void TuerFlag();
void WasserFlag();
void bTerminCallback(void *ptr);

// helper functions
void ShowSystemSettings();
void ShowTemps();
void Soll_Eintragen();
void Sichtbarkeiten();
void Status_Polling();
void Lampe0Neu();
void Lampe1Neu();
void Lampe2Neu();
void DampfSollNeu();
void OfenSollNeu();
void TerminNeu();
void DampfSollNeu();
void OfenSollNeu();
void DampfNeu();
void OfenNeu();
void OfenAus();
void LaufzeitNeu();
void StartZeitNeu();
void StartKonsole(String &info);
void LosGehts();


// events handler
void HandleNextionEvents();
}