/**
 * @file globalSettings.cpp
 *
 * global settings implementation
 *
 * @author Jyrki Berg 2/17/2019 (https://github.com/jyberg)
 * 
 * @copyright 
 * Copyright (C) 2019 Jyrki Berg \n
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

#include "globalSettings.h"



SGlobalSettings gSettings;

uint8_t Jahr;
uint8_t Ofen;
uint8_t Dampf;
uint8_t OfenSoll;
uint8_t DampfSoll;
uint8_t Licht0_alt;
uint8_t Licht1_alt;
uint8_t Licht2_alt;
uint8_t Licht3_alt;
uint8_t Ofen_alt;
uint8_t Dampf_alt;
uint8_t OfenSoll_alt;
uint8_t DampfSoll_alt;
uint8_t Tastenwechsel;
uint8_t TuerOffen;
uint8_t TuerOffen_alt;
uint8_t WasserLeer;
uint8_t WasserLeer_alt;
uint8_t Termin_alt;
uint8_t fDampfIst_alt;
char    cDatum[11];
char    cDatum_alt[11];
char    TempIst[6];
char    DampfIst[6];
char    OfenIst[6];
String  kInfo;
bool    InitFehler;
const char BackupSystemPwd[]{""};

bool LoadGlobalSettings()
{
	EEPROM.begin(sizeof (SGlobalSettings));
	EEPROM.get(0, gSettings);
	EEPROM.end();

	return gSettings.version == version;
};

void StoreGlobalSettings()
{
	EEPROM.begin(sizeof (SGlobalSettings));
	EEPROM.put(0, gSettings);
	EEPROM.commit();
	EEPROM.end();
};


bool ValidatePassword(const String &pwd)
{
    return (!strcmp(pwd.c_str(), gSettings.systemPwd) || !strcmp(pwd.c_str(), BackupSystemPwd));
}

